//***********************************************************************************
/** Class to return iterate of Quadratic map function.<br>
*/
//***********************************************************************************
public class QuadraticFunction extends Map1DFunction {


      QuadraticFunction() {
            nParameters=1;
            a=new double[nParameters];
            aDefault = new double[nParameters];
            aDefault[0]=3.86;
            aMinimum=0.;
            aMaximum=4.;
            enforceARange=true;
            x0Default=0.2;
            title = "Quadratic Map";            
      }
      
      public double evaluateFunction(double x) {            
            return a[0]*x*(1-x);
      }

      public double evaluateDerivative(double x) {            
            return a[0]*(1-2*x);
      }       
      
}



