import ChaosDemos.*;
import java.util.*;

public class testSvdfitClass {
    
    public static void main (String argv[]) {
        
    int N;
    int average=100;
    int[] ix;
    double[] a;
    double[] sum;
    double[] xp,xin,yin;
    double A11=2.;
    double A12=3.;
    double B=5.;
    double x,y;
    double eps=1.e-2;
    double[] sig;
    svdfitClass test;
    double chisq;
        
        N=(new Integer(argv[0])).intValue();        
        a=new double[4];
        sum=new double[4];
        ix=new int[N+1];
        xp=new double[N+1];
        xin=new double[N+1];
        yin=new double[N+1];
        sig=new double[N+1];
        
        for(int k=1;k<=3;k++) 
            sum[k]=0.;

        for(int j=0;j<average;j++) {
        for(int i=1;i<=N;i++) {
            x=Math.random();
            y=Math.random();
            ix[i]=i;
            xin[i]=x;
            yin[i]=y;
            xp[i]=A11*x+A12*y+B+eps*(Math.random()-0.5);
            sig[i]=1.;
        }
        
        test=new svdfitClass(N,3);
        chisq=test.svdfit(ix,xp,xin,yin,sig,a);
        a[1]=a[1]-A11;
        a[2]=a[2]-A12;
        a[3]=a[3]-B;
        for(int k=1;k<=3;k++) 
            sum[k]=sum[k]+a[k]*a[k];
        }
        for(int k=1;k<=3;k++) 
            sum[k]=Math.sqrt(sum[k]/((double) average));
            
        System.out.println("N= "+N+" A11= "+sum[1]+" A12= "+sum[2]+" B= "+sum[3]);
    }
}
        
        
        
        
    
     
