import java.awt.*;
import java.applet.*;
//***********************************************************************************
/** Starts Scalemap
*/
//***********************************************************************************

public class startMap extends Applet {

/** true if window showing */ 
        public boolean showing=false;
        private Scalemap win;
        private Label l1;
        private Button b1;
        private String loading = "Please wait...loading!";
        private String startApp= "Click here to start application: ";
        private String stopApp=  "Click here to stop application: ";
        public boolean inputParameters=false;
        public String[] variableBoxes;
        public int nVariables;
        public int function;
        public int sign;
        public int point;
        public int index;
        public String atext;
        public boolean setChoice=false;
        
        public void init() {
            if(getFromApplet("setParameters","False").equals("True")) inputParameters=true;
            if(inputParameters) getAllParameters(); 
            setLayout(new FlowLayout(FlowLayout.CENTER));
            l1 = new Label(startApp);
            add(l1);
            b1 = new Button("Start");
            add(b1);
        }
        
        public void showWindow() {
                b1.disable();
                l1.setText(loading);
                win = new Scalemap (this);
                win.setTitle("1d Map");
                win.resize(640,480);
                win.show();
                showing=true;
                b1.setLabel("Stop");
                b1.enable();
                l1.setText(stopApp);            
        }
        
        public void hideWindow() {
                win.movieStop();
                win.dispose();
                b1.setLabel("Start");
                l1.setText(startApp);
                showing=false;        
        }
/**********************************************************************/
      
      public boolean action(Event evt, Object arg) {
        if(evt.target instanceof Button) {
//            System.out.println("Button down");
//            System.out.println("Showing = " + showing);
            if(showing) {
                 hideWindow();
            }
            else {
                 showWindow();
            }
            return true;
       }
       else return false;          
    }    

    protected String getFromApplet(String parameter, String s) {
        String getString = getParameter(parameter);
        if(getString == null) return s;
        else if(getString.length() == 0) return s;
        else return getString;
    } 
    
    protected void getAllParameters() {
            int i,j;
            nVariables=(new Integer(getFromApplet("nVariables","0"))).intValue();
            variableBoxes = new String[nVariables];
            for(i=0;i<nVariables;i++) {
                  variableBoxes[i]=getFromApplet("variable"+i,"");
//                  System.out.println(variableBoxes[i]);
            }            
            function=(new Integer(getFromApplet("function","0"))).intValue();
            sign=(new Integer(getFromApplet("sign","-1"))).intValue();
            point=(new Integer(getFromApplet("point","0"))).intValue();
            index=(new Integer(getFromApplet("index","9"))).intValue();
            atext=getFromApplet("a","");
            if(atext.length()>0) setChoice=false;          
    }             
       
}
/**********************************************************************/
/**********************************************************************/
